create or replace
PROCEDURE ETL_VENDAFORSALE
                          (P_DTINI      IN DATE,
                           P_DTFINA     IN DATE)
IS
   V_COUNTER       NUMBER       NOT NULL := 0;
   V_DTFIM         DATE;
   V_DTINI         DATE;
   
   V_VRVENDAETLFOS FLOAT(126)   NOT NULL := 0;
   V_VRIMPOSETLFOS FLOAT(126)   NOT NULL := 0;   
   V_QTITEMFETLFOS FLOAT(126)   NOT NULL := 0;   
   
   V_MES           VARCHAR2(02);
   V_ANO           VARCHAR2(04);   
   V_BIM           VARCHAR2(06);
   V_TRI           VARCHAR2(06);
   V_SEM           VARCHAR2(06);
   V_DSTIPOMOVFOS  VARCHAR2(30); 
   
   V_CDPRODUTO     PRODUTO.CDPRODUTO%TYPE;
   V_CDGRUPPROD    GRUPPROD.CDGRUPPROD%TYPE;
   V_IDTIPOMOVIVE  MOVCAIXA.IDTIPOMOVIVE%TYPE;
   V_CDLOJA        LOJA.CDLOJA%TYPE;

   
   V_ZERO          NUMBER := 0;/*CONSTANTE*/   
BEGIN
   V_MES  :=  TO_CHAR(P_DTINI,'MM');
   V_ANO  :=  TO_CHAR(P_DTINI,'YYYY');   
   
   DELETE FROM ETL_FORSALE
   WHERE (CDANOBI > V_ANO) 
      OR (CDANOBI = V_ANO AND CDMESBI >= V_MES); 
   COMMIT;   
   
   V_DTINI := TO_DATE('01'||TO_CHAR(P_DTINI,'MMYYYY'),'DDMMYYYY');
   
   WHILE (V_DTINI  <=  P_DTFINA) LOOP    
      V_DTFIM := LAST_DAY( V_DTINI);
      FOR C_ETL IN
         (SELECT F.CDFILIAL,        F.CDAREAGERE,          F.DTINICIALBI
           FROM  FILIAL F
           WHERE F.IDFUNCAOFILI IS NULL    --Desconsidera Regionais e Operadores Logsticos
             AND F.DTINICIALBI IS NOT NULL --Desconsidera Filiais Sem Data de BI cadastrada
         )
      LOOP
         IF TO_DATE('01'||TO_CHAR(C_ETL.DTINICIALBI,'MMYYYY'),'DDMMYYYY') <= V_DTINI THEN  --Incio da condio por data de BI
            FOR C_VENDA IN
               (SELECT 
                       IT.CDPRODUTO,       IT.CDGRUPPROD,  V.CDLOJA,
                       SUM(TRUNC(IT.QTPRODVEND * (NVL(IT.VRUNITVEND,0)+NVL(IT.VRUNITVENDCL,0)),2) - NVL(IT.VRDESITVEND,0) + NVL(IT.VRACRITVEND,0))AS VRVENDAETLFOS , 
                       SUM(IT.QTPRODVEND) AS QTITEMFETLFOS,  
                       SUM(IM.VRIMPOSETLFOS) AS VRIMPOSETLFOS
                FROM   
                       ITEMVENDA IT, VENDA V,
                       (SELECT CDFILIAL,CDCAIXA,NRSEQVENDA,NRSEQUITVEND,SUM(VRIMPOPRODIT) AS VRIMPOSETLFOS
                        FROM ITVENDAIMPOS
                        GROUP BY CDFILIAL,CDCAIXA,NRSEQVENDA,NRSEQUITVEND) IM
                WHERE  
                       V.CDFILIAL      = C_ETL.CDFILIAL
                  AND  TRUNC(V.DTENTRVENDA) BETWEEN V_DTINI AND V_DTFIM
                  AND  V.IDSITUVENDA   <> 'C'      --Desconsidera as Vendas Canceladas
                 
                  AND  V.CDFILIAL      = IT.CDFILIAL
                  AND  V.CDCAIXA       = IT.CDCAIXA                 
                  AND  V.NRSEQVENDA    = IT.NRSEQVENDA
                                   
                  AND  IT.CDFILIAL     = IM.CDFILIAL(+)
                  AND  IT.CDCAIXA      = IM.CDCAIXA(+)
                  AND  IT.NRSEQVENDA   = IM.NRSEQVENDA(+)    
                  AND  IT.NRSEQUITVEND =IM.NRSEQUITVEND(+)
                GROUP BY 
                       IT.CDPRODUTO, IT.CDGRUPPROD, V.CDLOJA
               )
            LOOP
               V_MES  :=  TO_CHAR(V_DTFIM,'MM');
               V_ANO  :=  TO_CHAR(V_DTFIM,'YYYY');
               V_BIM :=   TO_CHAR(TRUNC((V_MES - 1) / 2) + 1)||' Bim';
               V_TRI :=   TO_CHAR(TRUNC((V_MES - 1) / 3) + 1)||' Tri';
               V_SEM :=   TO_CHAR(TRUNC((V_MES - 1) / 6) + 1)||' Sem';
            
               INSERT INTO ETL_FORSALE
                  (
                  CDFILIAL,              CDAREAGERE,             CDFILILOJA,        
                  CDPRODUTO,             CDGRUPPROD,             CDANOBI,
                  CDMESBI,               BIETLFOS,               TRETLFOS,          
                  SEETLFOS,              VRVENDAETLFOS,          VRIMPOSETLFOS,   
                  QTITEMFETLFOS
                  )
               VALUES
                  (
                  C_ETL.CDFILIAL,        C_ETL.CDAREAGERE,       C_ETL.CDFILIAL||C_VENDA.CDLOJA,      
                  C_VENDA.CDPRODUTO,     C_VENDA.CDGRUPPROD,     V_ANO,
                  V_MES,                 V_BIM,                  V_TRI,                
                  V_SEM,                 C_VENDA.VRVENDAETLFOS,  C_VENDA.VRIMPOSETLFOS, 
                  C_VENDA.QTITEMFETLFOS
                  );
            
               V_COUNTER:= V_COUNTER+1;
               IF V_COUNTER >= 500 THEN
                  COMMIT;
                  V_COUNTER := 0;
               END IF;                  
            END LOOP;
         END IF; --Final da condio por data de BI
      END LOOP;
      COMMIT;
      V_DTINI := ADD_MONTHS(V_DTINI,1);
   END LOOP;  
END;
/
-- VERSAO --
BEGIN ATUVEROBJ('ETL_VENDAFORSALE','5.05.105'); END;
/

