/*
-- ========================================================================== --
-- SISTEMA         : CONTAS A PAGAR                                           --
-- DATA DA CRIAO : 06/03/2002                                               --
-- PROGRAMADOR     : ANDR RODRIGO                                            --
-- OBJETIVOS       : ALTERA O TIPO DE RECEBIMENTO DO BOLETO                   --
-- @C:\WIN_PRJ\SQL\SQLSERVER\1005_RECSTP_ATUALIZA_TPRECBOLETO.SQL                --
-- ========================================================================== --
*/

IF EXISTS (SELECT
              *
           FROM SYSOBJECTS O, SYSUSERS U
           WHERE
              O.NAME = 'ATUALIZA_TPRECBOLETO' AND
              TYPE   = 'P'      	      AND
              U.UID  = O.UID                  AND
              U.NAME = USER)

DROP PROCEDURE ATUALIZA_TPRECBOLETO
GO

CREATE PROCEDURE ATUALIZA_TPRECBOLETO
  (@P_CDFILIBAIREC VARCHAR(04),
   @P_NRBAIXAREC   VARCHAR(10),
   @P_VRBAIXAREC   DOUBLE PRECISION) AS

   DECLARE @V_VRTPRECBOLR DOUBLE PRECISION;

   /* VARIVEIS DO CURSOR C_BOLET */
   DECLARE @V_C_BOLET_CDFILIAL    VARCHAR(04);
   DECLARE @V_C_BOLET_NRLANBOLREC VARCHAR(10);
   DECLARE @V_C_BOLET_VRFINALBREC DOUBLE PRECISION;

   /* VARIVEIS DO CURSOR C_BAIXA */
   DECLARE @V_C_BAIXA_CDFILIAL     VARCHAR(04);
   DECLARE @V_C_BAIXA_NRBAIXAREC   VARCHAR(10);
   DECLARE @V_C_BAIXA_CDTIPORECE   VARCHAR(03);
   DECLARE @V_C_BAIXA_NRSEQTPRECBA VARCHAR(02);
   DECLARE @V_C_BAIXA_CDCARTAO     VARCHAR(03);
   DECLARE @V_C_BAIXA_CDBANCBAIREC VARCHAR(03);
   DECLARE @V_C_BAIXA_VRTPRECBAIXA DOUBLE PRECISION;
   DECLARE @V_C_BAIXA_CDAGENBAIREC VARCHAR(05);
   DECLARE @V_C_BAIXA_CDCONTBAIREC VARCHAR(16);
   DECLARE @V_C_BAIXA_NRCHEQBAIREC VARCHAR(06);
   DECLARE @V_C_BAIXA_NRCARCREBREC VARCHAR(50);
   DECLARE @V_C_BAIXA_DTCHEQBAIREC DATETIME;
   DECLARE @V_C_BAIXA_DSCHEQBAIREC VARCHAR(40);

BEGIN
   DECLARE C_BOLET CURSOR FOR
      (SELECT
          CDFILIAL, NRLANBOLREC, VRFINALBREC
       FROM BOLETRECEBER
       WHERE
         (CDFILIBAIREC = @P_CDFILIBAIREC) AND
         (NRBAIXAREC   = @P_NRBAIXAREC));

   OPEN C_BOLET;
   FETCH NEXT FROM C_BOLET INTO @V_C_BOLET_CDFILIAL, @V_C_BOLET_NRLANBOLREC, @V_C_BOLET_VRFINALBREC;
   WHILE (@@FETCH_STATUS = 0) BEGIN

      DELETE FROM TPRECBOLETO
      WHERE
        (CDFILIAL     = @V_C_BOLET_CDFILIAL) AND
        (NRLANBOLREC  = @V_C_BOLET_NRLANBOLREC);

      DECLARE C_BAIXA CURSOR FOR
         (SELECT
            CDFILIAL,     NRBAIXAREC,   CDTIPORECE,   NRSEQTPRECBA,
            CDCARTAO,     CDBANCBAIREC, VRTPRECBAIXA, CDAGENBAIREC,
            CDCONTBAIREC, NRCHEQBAIREC, NRCARCREBREC, DTCHEQBAIREC, DSCHEQBAIREC
          FROM TPRECBAIXA
          WHERE
            (CDFILIAL   = @P_CDFILIBAIREC) AND
            (NRBAIXAREC = @P_NRBAIXAREC));

      OPEN C_BAIXA;
      FETCH NEXT FROM C_BAIXA INTO @V_C_BAIXA_CDFILIAL,     @V_C_BAIXA_NRBAIXAREC,   @V_C_BAIXA_CDTIPORECE,
                                   @V_C_BAIXA_NRSEQTPRECBA, @V_C_BAIXA_CDCARTAO,     @V_C_BAIXA_CDBANCBAIREC,
                                   @V_C_BAIXA_VRTPRECBAIXA, @V_C_BAIXA_CDAGENBAIREC, @V_C_BAIXA_CDCONTBAIREC,
                                   @V_C_BAIXA_NRCHEQBAIREC, @V_C_BAIXA_NRCARCREBREC, @V_C_BAIXA_DTCHEQBAIREC, @V_C_BAIXA_DSCHEQBAIREC;
      WHILE (@@FETCH_STATUS = 0) BEGIN

         SET @V_VRTPRECBOLR = (@V_C_BAIXA_VRTPRECBAIXA * @V_C_BOLET_VRFINALBREC)/@P_VRBAIXAREC;

         INSERT INTO TPRECBOLETO
            (CDFILIAL,     NRLANBOLREC,  CDTIPORECE,   NRSEQTPRECBO,
             VRTPRECBOLR,  NRCHEQBOLREC, DTCHEQBOLREC, CDBANCBOLREC,
             CDAGENBOLREC, CDCONTBOLREC, CDCARTAO,NRCARCREBOLR,DSCHEQBOLREC)
         VALUES
            (@V_C_BOLET_CDFILIAL,     @V_C_BOLET_NRLANBOLREC,  @V_C_BAIXA_CDTIPORECE,   @V_C_BAIXA_NRSEQTPRECBA,
             @V_VRTPRECBOLR,          @V_C_BAIXA_NRCHEQBAIREC, @V_C_BAIXA_DTCHEQBAIREC, @V_C_BAIXA_CDBANCBAIREC,
             @V_C_BAIXA_CDAGENBAIREC, @V_C_BAIXA_CDCONTBAIREC, @V_C_BAIXA_CDCARTAO,     @V_C_BAIXA_NRCARCREBREC,@V_C_BAIXA_DSCHEQBAIREC);

         FETCH NEXT FROM C_BAIXA INTO @V_C_BAIXA_CDFILIAL,     @V_C_BAIXA_NRBAIXAREC,   @V_C_BAIXA_CDTIPORECE,
                                      @V_C_BAIXA_NRSEQTPRECBA, @V_C_BAIXA_CDCARTAO,     @V_C_BAIXA_CDBANCBAIREC,
                                      @V_C_BAIXA_VRTPRECBAIXA, @V_C_BAIXA_CDAGENBAIREC, @V_C_BAIXA_CDCONTBAIREC,
                                      @V_C_BAIXA_NRCHEQBAIREC, @V_C_BAIXA_NRCARCREBREC, @V_C_BAIXA_DTCHEQBAIREC,@V_C_BAIXA_DSCHEQBAIREC;
      END;
      CLOSE C_BAIXA;
      DEALLOCATE C_BAIXA;
      FETCH NEXT FROM C_BOLET INTO @V_C_BOLET_CDFILIAL, @V_C_BOLET_NRLANBOLREC, @V_C_BOLET_VRFINALBREC;
   END;
   CLOSE C_BOLET;
   DEALLOCATE C_BOLET;
END;
GO
