<?php

namespace Teknisa\Model\Teknisa\Repositories;

class OmComandoEstrutura extends \Doctrine\ORM\EntityRepository {

    public function findCommands($orgId, $conditions = '') {
        $query = <<<SQL
            SELECT ID, DSCOMANDOEST, NRORDEM, COMANDO, IDATIVO,
                   IDTPCOMANDO, IDAMBCOMANDO, IDACAOEXECOM
              FROM OM_COMANDO_ESTRUTURA
             WHERE NRORG = :NRORG
                   $conditions
          ORDER BY IDACAOEXECOM, IDAMBCOMANDO, TO_NUMBER(NRORDEM)
SQL;
        $param = array( 'NRORG' => $orgId );
        $registers = $this->getEntityManager()->getConnection()->fetchAll($query, $param);
        foreach($registers as &$register) {
            $register['ID'] = intval($register['ID']);
        }
        return $registers;
    }

    public function findCommandUrls($orgId, $commandId, $conditions = '') {
        $query = <<<SQL
            SELECT ID, COMANDO_ESTRUTURA_ID, DSWEBSERVICEURL, IDATIVO
              FROM OM_COMANDO_ESTRUTURA_URL
             WHERE NRORG = :NRORG
               AND COMANDO_ESTRUTURA_ID = :COMANDO_ESTRUTURA_ID
                   $conditions
          ORDER BY DSWEBSERVICEURL
SQL;
        $param = array( 'NRORG' => $orgId, 'COMANDO_ESTRUTURA_ID' => $commandId );
        $registers = $this->getEntityManager()->getConnection()->fetchAll($query, $param);
        foreach($registers as &$register) {
            $register['ID'] = intval($register['ID']);
        }
        return $registers;
    }
}