var configParams = require("./configParams.js");
var HtmlScreenshotReporter = require('C:/nodejs/node_modules/protractor-jasmine2-screenshot-reporter');
var reporter = new HtmlScreenshotReporter({
  dest: 'errors/',
  filename: 'my-report.html'
});

exports.config = {
    framework: 'jasmine2',
    seleniumAddress: configParams.seleniumAddress,
    specs: [
        'specs/*.spec.js'
    ],

      suites: {
    //SUITES DO ERP
    erpContabil: ['specs/parametrizacao/contabil/*.spec.js'],
    erpDocFiscal: ['specs/parametrizacao/Documentos Ficais/Grupo Fiscal/*.spec.js'],
    erpFinanceiro: ['specs/parametrizacao/financeiro/*.spec.js'],
    erpGerais: ['specs/parametrizacao/gerais/*.spec.js'],

             },

    capabilities: {
        browserName: 'chrome',
        chromeOptions: {
      args: ['disable-popup-blocking', 'test-type','disable-extensions','disable-web-security','incognito']
    }
    },
    //allScriptsTimeout: 60000,
    jasmineNodeOpts: {
        defaultTimeoutInterval: 60000
    },
    params: {
        applicationUrl: configParams.developerStudioUrl
    },

    beforeLaunch: function() {
    	return new Promise(function(resolve){
      		reporter.beforeLaunch(resolve);
    	});
  	},

  	onPrepare: function() {
    	jasmine.getEnv().addReporter(reporter);
  	},

  	afterLaunch: function(exitCode) {
    	return new Promise(function(resolve){
      		reporter.afterLaunch(resolve.bind(this, exitCode));
    	});
  	},

    rootElement: 'html'
};